Download it now!
Bug 136728 - Crash deleting a table
Summary: Crash deleting a table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Tables Crash
  Show dependency treegraph
 
Reported: 2020-09-13 20:13 UTC by Telesto
Modified: 2020-10-09 15:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (21.28 KB, application/vnd.oasis.opendocument.text)
2020-09-13 20:13 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-13 20:13:13 UTC
Description:
Crash deleting a table

Steps to Reproduce:
1. open the attached file
2. CTRL+A
3. CTRL+X
4. CTRL+V
5. Place cursor in table & press delete table button
6. CTRL+V
7. Place cursor in table & press delete table button -> Crash

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: ed4f610f4a3de12016f8308a17b6ad4f86e9d67a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-09-13 20:13:35 UTC
Created attachment 165466 [details]
Example file
Comment 2 Telesto 2020-09-13 20:19:46 UTC
@Noel
Me speculating.. this might have something to do with the speed-up deleting large tables. It appears they UndoManager is involved..

Of course, feel free to ignore until confirmed and bibisected etc.
Comment 3 BogdanB 2020-09-28 06:44:36 UTC
Confirmed and bibisected.

f210da25d39e16738319e163de4132fa5d63aae7 is the first bad commit
commit f210da25d39e16738319e163de4132fa5d63aae7
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Sep 10 23:42:22 2020 +0200

    source sha:da5c289a9cae5d914937f235694fd5b0cb92547f
    
    source sha:da5c289a9cae5d914937f235694fd5b0cb92547f

 instdir/program/libsvllo.so | Bin 1585152 -> 1585152 bytes
 instdir/program/libswlo.so  | Bin 22179864 -> 22179864 bytes
 instdir/program/setuprc     |   2 +-
 instdir/program/versionrc   |   2 +-
 4 files changed, 2 insertions(+), 2 deletions(-)


Exactly, it's coming from "speed up deleting large cross page table"
https://git.libreoffice.org/core/+/da5c289a9cae5d914937f235694fd5b0cb92547f

Noel, you are already on CC of this bug.
Comment 4 Xisco Faulí 2020-09-29 10:02:05 UTC
(In reply to BogdanB from comment #3)
> Confirmed and bibisected.
> Exactly, it's coming from "speed up deleting large cross page table"
> https://git.libreoffice.org/core/+/da5c289a9cae5d914937f235694fd5b0cb92547f
> 
> Noel, you are already on CC of this bug.

I do confirm the issue was introduced by the mentioned commit
Comment 5 Noel Grandin 2020-09-29 13:54:10 UTC
I have no idea how to fix this, feel free to revert the optimisation commit
Comment 6 Commit Notification 2020-10-01 18:55:44 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0b3ff97d7d5a1e8471e494f4141165364203c192

tdf#136728: Revert "tdf#136238 speed up deleting large cross page table"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-10-02 08:01:27 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 7f16cabf00daa30e9284d2fb2494bd341352c25e
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 8 Commit Notification 2020-10-02 10:13:56 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/3d6c7523aea5c2820f26c33688b2c9a767affc6b

tdf#136728: Revert "tdf#136238 speed up deleting large cross page table"

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-10-03 10:40:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1da5f05be97b2cf4fa59adff6a77bdb70927202b

tdf#136728 : sw_uiwriter: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-10-09 15:06:54 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3273170cf63b37f415b21f560e300847bfd2ecde

Revert "tdf#136728 : sw_uiwriter: Add unittest"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.